Bug 803754 - VDSM: LOCALFS - connectStorageServer failed due to StorageServerAccessPermissionError:
VDSM: LOCALFS - connectStorageServer failed due to StorageServerAccessPermiss...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
x86_64 Linux
high Severity urgent
: ---
: 3.3.4
Assigned To: Saggi Mizrahi
storage
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 11:21 EDT by Avi Tal
Modified: 2016-04-22 00:59 EDT (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:58:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log (6.89 MB, text/x-log)
2012-03-15 11:21 EDT, Avi Tal
no flags Details

  None (edit)
Description Avi Tal 2012-03-15 11:21:54 EDT
Created attachment 570320 [details]
vdsm log

connect Storage Server :LOCALFS from RESTAPI leads to a accsess permissions exception on VDSM

Thread-106::INFO::2012-03-15 16:45:11,382::localFsSD::57::Storage.StorageDomain::(create) sdUUID=22aec9c1-5aa4-4423-aca1-bc44dece7bfe domainName=RestDataDomain
_LOCAL remotePath=/home/rest_test_domain domClass=1
Thread-106::ERROR::2012-03-15 16:45:11,383::task::853::TaskManager.Task::(_setError) Task=`e71bc0e3-0819-4f91-aa00-cef14c36c79f`::Unexpected error
Traceback (most recent call last):
  File "/usr/share/vdsm/storage/task.py", line 861, in _run
    return fn(*args, **kargs)
  File "/usr/share/vdsm/logUtils.py", line 38, in wrapper
    res = f(*args, **kwargs)
  File "/usr/share/vdsm/storage/hsm.py", line 2084, in createStorageDomain
    domClass, typeSpecificArg, storageType, domVersion)
  File "/usr/share/vdsm/storage/localFsSD.py", line 65, in create
    cls._preCreateValidation(sdUUID, mntPoint, remotePath, version)
  File "/usr/share/vdsm/storage/localFsSD.py", line 38, in _preCreateValidation
    fileSD.validateDirAccess(domPath)
  File "/usr/share/vdsm/storage/fileSD.py", line 50, in validateDirAccess
    getProcPool().fileUtils.validateAccess(dirPath)
  File "/usr/share/vdsm/storage/processPool.py", line 53, in wrapper
    return self.runExternally(func, *args, **kwds)
  File "/usr/share/vdsm/storage/processPool.py", line 64, in runExternally
    return self._procPool.runExternally(*args, **kwargs)
  File "/usr/share/vdsm/storage/processPool.py", line 154, in runExternally
    raise err
StorageServerAccessPermissionError: Permission settings on the specified path do not allow access to the storage. Verify permission settings on the specified storage path.: 'path = /rhev/data-center/mnt/_home_rest__test__domain'
Description of problem:
Comment 1 Avi Tal 2012-03-15 11:30:36 EDT
[root@vulcan01 ~]# ll /rhev/data-center/mnt/
total 8
lrwxrwxrwx. 1 vdsm   kvm    22 Mar 15 16:45 _home_rest_test_domain -> /home/rest_test_domain



[root@vulcan01 ~]# ll /home/
drwxrwxr-x. 2 vdsm kvm   4096 Mar 10 00:31 rest_test_domain
Comment 2 Avi Tal 2012-03-15 12:09:14 EDT
StorageServerAccessPermissionError: Permission settings on the specified path
do not allow access to the storage. Verify permission settings on the specified
storage path.: 'path = /rhev/data-center/mnt/_home_rest__test__domain'



As we see, '/rhev/data-center/mnt/_home_rest__test__domain' != '/rhev/data-center/mnt/_home_rest_test_domain'
Comment 3 Eduardo Warszawski 2012-03-15 12:11:47 EDT
Above was In Change-Id: Ifc5c160aba9b4cc88225dde0c44f9b766c6a4c0d
Comment 4 Saggi Mizrahi 2012-03-15 13:29:53 EDT
http://gerrit.ovirt.org/#change,2845
Comment 5 Itamar Heim 2012-08-09 03:58:44 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.